import request from "@/utils/request";

//获取角色列表
export function getRoleData(data) {
  return request({
    url: "/ecloud-user-center-dt/web/role/MgtRoleQueryList",
    method: "post",
    data
  });
}

//获取菜单按钮列表
export function getMenuButtonData(data) {
  return request({
    url: "/ecloud-user-center-dt/web/role/MgtRoleOprtList",
    method: "post",
    data
  });
}

//增删改角色
export function setRole(data) {
  return request({
    url: "/ecloud-user-center-dt/web/role/MgtRole",
    method: "post",
    data
  });
}

//角色菜单关系设置
export function setRoleMenu(data) {
  return request({
    url: "/ecloud-user-center-dt/web/role/roleCrspMenu",
    method: "post",
    data
  });
}
